Get transaction status transition history
curl --request GET \
--url https://api-staging.cashweb.cash/api/v1/partner/transactions/{id}/status-history \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api-staging.cashweb.cash/api/v1/partner/transactions/{id}/status-history"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api-staging.cashweb.cash/api/v1/partner/transactions/{id}/status-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"history": [
{
"changed_at": "2026-02-12T12:04:10Z",
"from_status": "order_filled",
"metadata": null,
"reason": "order:settled",
"to_status": "completed"
}
],
"id": "01917f00-7b4c-7f56-8a2b-15998d58c9f3",
"status": "completed"
},
"success": true
}{
"error": {
"code": "<string>",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Transaction not found",
"timestamp": "2026-02-12T12:00:00Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Partner API
Get transaction status transition history
Returns the audited timeline of status transitions for one transaction. Use this endpoint to explain current state and reconciliation progression.
GET
/
partner
/
transactions
/
{id}
/
status-history
Get transaction status transition history
Authorizations
Path Parameters
Partner transaction identifier
Response
Status history retrieved
Cancel a partner transaction safely with idempotent retries
Previous
List partner webhook events from the local delivery log
Next
⌘I